#include <stdio.h>
#include <unistd.h>
#include <linux/input.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#define DEV_PATH0 "/dev/input/event0"   //VOL-, POWER

int main(int argc, char **argv)
{
    int i = 0;
    int times = 20; //defalt time
    int keys_fd = 0;
    struct input_event t;

    if (argc == 2) {
	times = (int)strtoul(argv[1], NULL, 10); 
    }

    keys_fd=open(DEV_PATH0, O_RDONLY | O_NDELAY); 
    if(keys_fd <= 0){
	printf("open /dev/input/event0 device error!\n");
	return -1;
    }

    for(i=0;i<times*10;i++)
    {
	if(read(keys_fd, &t, sizeof(t)) == sizeof(t)){
	    if(t.type == EV_KEY && t.value == 1)
		printf("Event0: type:%d, value:%d, code:%d\n", t.type, t.value, t.code);
	}
	usleep(100*1000);
    }
    close(keys_fd);

    return 0;
}

